Bug 230639

Summary: [iOS] Transcode videos selected from UIImagePickerController
Product: WebKit Reporter: Aditya Keerthi <akeerthi>
Component: FormsAssignee: Aditya Keerthi <akeerthi>
Status: RESOLVED FIXED    
Severity: Normal CC: aestes, cdumez, drousso, eric.carlson, jer.noble, megan_gardner, thorton, webkit-bug-importer, wenson_hsieh
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: iPhone / iPad   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Aditya Keerthi 2021-09-22 14:14:41 PDT
UIImagePickerController with multiple selection does not transcode video, making it impossible to upload videos on Twitter's web client.
Comment 1 Aditya Keerthi 2021-09-22 14:15:05 PDT
rdar://79665678
Comment 2 Aditya Keerthi 2021-09-22 14:27:42 PDT
Created attachment 438976 [details]
Patch
Comment 3 Tim Horton 2021-09-29 17:02:55 PDT
Comment on attachment 438976 [details]
Patch

The part that freaks me out the most is the filename construction, but since this is from the local device it's probably sufficient?
Comment 4 EWS 2021-10-05 17:42:42 PDT
Committed r283592 (242548@main): <https://commits.webkit.org/242548@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438976 [details].